UVIDEO(4)

NAME
uvideo - USB video device driver

SYNOPSIS
uvideo* at uhub?
video* at videobus?

DESCRIPTION
The uvideo driver provides support for USB video class devices.

A USB video device consists of a number of components. Every device has one control interface. Each device optionally provides streaming interfaces (input or output).

SEE ALSO
usb(4), video(4), video(9) USB Approved Class Specification Documents, http://www.usb.org/developers/devclass_docs/.

AUTHORS
Patrick Mahoney <pat@polycrystal.org>

BUGS
Does not support all of UVC spec. Only supports the one streaming input interface. Does not support the interrupt endpoint for some controls.

Exports the Video4Linux2 API via video(9), and V4L2 lacks support for some UVC features such as still images.